//*****************************************************************************
//
// This file is generated by ftrasterize; DO NOT EDIT BY HAND!
//
//*****************************************************************************
#include <stdbool.h>
#include <stdint.h>
#include "grlib/grlib.h"

//*****************************************************************************
//
// Details of this font:
//     Characters: 32 to 126 inclusive
//     Style: apercu
//     Size: 65 point
//     Bold: yes
//     Italic: no
//     Memory usage: 8904 bytes
//
//*****************************************************************************

//*****************************************************************************
//
// The compressed data for the 65 point Apercu bold font.
// Contains characters 32 to 126 inclusive.
//
//*****************************************************************************
static const unsigned char g_pucApercu65bData[8704] =
{
      7,  26,   0, 127,   0,  87,  64,  49,  17,   0,  12, 121,
    137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 137,
    137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 137, 137,
    137, 137, 137, 137,   0,  14,  33, 215, 153, 123, 107, 107,
    107, 107, 121, 151, 209,   0,  31,  16,  41,  28,   0,  17,
     73,  73, 105,  73, 120,  72, 136,  72, 136,  72, 136,  72,
    136,  72, 135,  88, 135, 103, 135, 103, 150, 102, 166, 102,
    166, 102, 166, 102, 166, 102, 165, 118,   0, 127,   0,  31,
     64, 141,  45,   0,  35,  70, 135, 240, 150, 134, 240, 151,
    134, 240, 151, 119, 240, 151, 119, 240, 150, 135, 240, 150,
    134, 240, 151, 134, 240, 151, 119, 240, 151, 119, 240, 150,
    135, 240, 135, 134, 240, 151, 134, 255,  15,   7, 143,  15,
      7, 143,  15,   7, 143,  15,   7, 143,  15,   7, 143,  15,
      7, 143,  15,   7, 240,  22, 135, 240, 135, 134, 240, 151,
    119, 240, 151, 119, 240, 150, 135, 240, 135, 134, 240,  31,
     15,   7, 143,  15,   7, 143,  15,   7, 143,  15,   7, 143,
     15,   7, 143,  15,   7, 143,  15,   7, 246, 135, 240, 150,
    135, 240, 135, 134, 240, 151, 119, 240, 151, 119, 240, 150,
    135, 240, 150, 134, 240, 151, 119, 240, 151, 119, 240, 151,
    119, 240, 150, 135, 240, 135, 134,   0,  86, 112, 124,  36,
    200, 240, 216, 240, 216, 240, 216, 240, 216, 240, 216, 240,
    188, 240, 127, 240,  95,   3, 240,  47,   5, 255,   6, 255,
      7, 223,   9, 201,  90, 185, 120, 200, 149, 232, 163, 248,
    240, 216, 240, 217, 240, 202, 240, 202, 240, 187, 240, 173,
    240, 158, 240, 143, 240, 127,   1, 240, 111,   1, 240, 111,
      2, 240, 111,   1, 240, 127, 240, 141, 240, 172, 240, 186,
    240, 202, 193, 233, 164, 232, 149, 232, 119, 232, 105, 216,
    121, 200, 121, 185, 123, 152, 155, 106, 175,  11, 175,  10,
    207,   8, 239,   7, 255,   5, 240,  63,   1, 240, 125, 240,
    168, 240, 216, 240, 216, 240, 216, 240, 216, 240, 216,   0,
     42,  64, 173,  54,   0,  31,  98,   0,   6,  68, 240,  58,
    240, 102, 254, 240,  56, 223,   1, 240,  24, 223,   3, 247,
    223,   5, 215, 239,   5, 200, 216, 103, 184, 232, 104, 167,
    247, 135, 151, 240,  23, 135, 136, 240,  23, 135, 120, 240,
     39, 135, 119, 240,  56, 104, 103, 240,  88,  72, 104, 240,
     95,   5,  88, 240, 127,   3, 103, 240, 159,   1, 103, 240,
    190, 104, 240, 204, 104, 240, 248, 135,   0,   5, 103,   0,
      5, 104, 240, 240, 248,   0,   5, 103,   0,   5, 103,   0,
      5, 104, 119, 240, 240,  24, 108, 240, 215, 110, 240, 183,
    111,   1, 240, 152,  95,   3, 240, 120,  95,   5, 240, 103,
    104,  72, 240,  87, 104, 104, 240,  56, 103, 135, 240,  40,
    119, 135, 240,  39, 135, 135, 240,  23, 151, 135, 248, 151,
    120, 232, 168, 103, 247, 207,   5, 231, 223,   5, 216, 239,
      3, 216, 240,  31,   1, 231, 240,  62, 246, 240, 106, 240,
     68,   0,   6,  50,   0,  93,  32, 130,  45,   0,  35,  41,
    240, 240,  77, 240, 240,  31, 240, 239,   2, 240, 207,   4,
    240, 191,   4, 240, 175,   6, 240, 152,  73, 240, 151, 104,
    240, 151, 104, 240, 151, 104, 240, 151, 104, 240, 152,  72,
    240, 183,  57, 240, 191,   3, 240, 207,   3, 240, 223,   1,
    240, 239, 240, 254, 240, 253, 240, 254, 240, 255,   1, 240,
    223,   3, 145, 240,  47,   4, 130, 250,  40, 116, 218,  57,
    101, 201,  89,  85, 200, 121,  55, 169, 122,  39, 168, 159,
      2, 184, 175,   1, 184, 191, 184, 190, 200, 205, 200, 219,
    217, 203, 233, 187, 234, 142, 223,  15,   3, 223,  15,   3,
    223,  15,   2, 239,  15,   2, 239,   6,  26, 239,   3,  74,
    253, 138,   0,  85,  16,  23,  15,   0,   9,  57, 105, 120,
    120, 120, 120, 120, 119, 135, 135, 150, 150, 150, 150, 150,
    149,   0,  85,  48,  58,  20,   0,   8,  55, 199, 215, 199,
    215, 199, 215, 200, 199, 200, 200, 200, 199, 200, 200, 200,
    200, 199, 200, 200, 200, 200, 200, 200, 200, 200, 200, 200,
    200, 200, 200, 200, 200, 215, 215, 216, 200, 200, 215, 215,
    216, 200, 215, 216, 215, 215, 231, 215, 231, 215, 231,   0,
     30,  96,  58,  20,   0,   7,  71, 231, 215, 231, 215, 231,
    215, 216, 215, 216, 200, 200, 215, 216, 200, 200, 200, 215,
    216, 200, 200, 200, 200, 200, 200, 200, 200, 200, 200, 200,
    200, 200, 200, 199, 200, 200, 200, 200, 199, 215, 200, 200,
    199, 200, 199, 215, 199, 215, 199, 215, 199,   0,  31,  80,
     57,  31,   0,  20,  71, 240, 151, 240, 151, 240, 151, 240,
    151, 240,  34,  87,  82, 150,  39,  38, 143,   8, 143,   8,
    127,  10, 111,  10, 111,  10, 159,   4, 253, 240,  61, 240,
     61, 240,  47, 255,   2, 217,  25, 200,  56, 214,  86, 245,
     85, 240,  35, 115,   0, 127,   0,  21,  96,  74,  37,   0,
     75,  71, 240, 247, 240, 247, 240, 247, 240, 247, 240, 247,
    240, 247, 240, 247, 240, 247, 240, 247, 240, 247, 240,  63,
     15,   1, 111,  15,   1, 111,  15,   1, 111,  15,   1, 111,
     15,   1, 111,  15,   1, 111,  15,   1, 240,  55, 240, 247,
    240, 247, 240, 247, 240, 247, 240, 247, 240, 247, 240, 247,
    240, 247, 240, 247, 240, 247, 240, 247,   0,  94,  96,  25,
     21,   0, 110, 107, 171, 170, 186, 170, 186, 185, 200, 201,
    200, 216, 215, 216, 215, 231, 230, 231, 230, 246,   0,  15,
     21,  30,   0, 101,  47,   9, 111,   9, 111,   9, 111,   9,
    111,   9, 111,   9, 111,   9,   0, 120,  96,  19,  17,   0,
     85,  81, 215, 153, 137, 123, 107, 107, 107, 121, 137, 151,
    209,   0,  31,  16, 161,  42,   0,  14,   8, 240, 240,  56,
    240, 240,  72, 240, 240,  56, 240, 240,  71, 240, 240,  72,
    240, 240,  71, 240, 240,  72, 240, 240,  56, 240, 240,  72,
    240, 240,  56, 240, 240,  72, 240, 240,  56, 240, 240,  72,
    240, 240,  56, 240, 240,  71, 240, 240,  72, 240, 240,  56,
    240, 240,  72, 240, 240,  56, 240, 240,  72, 240, 240,  56,
    240, 240,  72, 240, 240,  56, 240, 240,  71, 240, 240,  72,
    240, 240,  71, 240, 240,  72, 240, 240,  56, 240, 240,  72,
    240, 240,  56, 240, 240,  72, 240, 240,  56, 240, 240,  72,
    240, 240,  56, 240, 240,  71, 240, 240,  72, 240, 240,  56,
    240, 240,  72, 240, 240,  56, 240, 240,  72, 240, 240,  56,
    240, 240,  72, 240, 240,  56, 240, 240,  71, 240, 240,  72,
    240, 240,  71, 240, 240,  72, 240, 240,  56, 240, 240,  72,
    240, 240,  56, 240, 240,  72,   0,  67,  32, 124,  40,   0,
     31,  60, 240, 191,   1, 240, 127,   5, 240,  79,   7, 240,
     47,   9, 255,  11, 239,  11, 218, 138, 201, 169, 185, 201,
    168, 232, 153, 232, 152, 240,  24, 136, 240,  24, 136, 240,
     24, 136, 240,  24, 120, 240,  56, 104, 240,  56, 104, 240,
     56, 104, 240,  56, 104, 240,  56, 104, 240,  56, 104, 240,
     56, 104, 240,  56, 104, 240,  56, 104, 240,  56, 104, 240,
     56, 104, 240,  56, 104, 240,  56, 120, 240,  24, 136, 240,
     24, 136, 240,  24, 136, 240,  24, 137, 233, 152, 232, 169,
    201, 185, 169, 202, 138, 223,  11, 239,  11, 255,   9, 240,
     47,   7, 240,  79,   5, 240, 127,   1, 240, 188,   0,  77,
     16,  62,  23,   0,  18, 116, 240,  38, 248, 233, 203, 173,
    158, 127,   1, 111,   2, 111,   2, 111,   2, 111,   2, 103,
     40, 101,  72, 100,  88,  98, 120, 248, 248, 248, 248, 248,
    248, 248, 248, 248, 248, 248, 248, 248, 248, 248, 248, 248,
    248, 248, 248, 248, 248, 248, 248, 248, 248, 248, 248, 248,
      0,  43, 112,  98,  35,   0,  27,  59, 240, 127, 240,  63,
      4, 255,   6, 223,   7, 207,   9, 191,  10, 154, 121, 153,
    152, 152, 169, 136, 184, 166, 184, 240, 200, 240, 200, 240,
    200, 240, 185, 240, 185, 240, 184, 240, 185, 240, 170, 240,
    169, 240, 169, 240, 170, 240, 154, 240, 169, 240, 170, 240,
    154, 240, 154, 240, 154, 240, 170, 240, 154, 240, 154, 240,
    154, 240, 170, 240, 154, 240, 154, 240, 154, 240, 155, 240,
    159,  11, 143,  12, 127,  13, 111,  14, 111,  14, 111,  14,
    111,  14,   0,  66,  48, 103,  36,   0,  27,  47,  11, 175,
     11, 175,  11, 175,  10, 191,  10, 191,   9, 207,   8, 240,
    200, 240, 201, 240, 200, 240, 200, 240, 200, 240, 201, 240,
    200, 240, 200, 240, 200, 240, 216, 240, 206, 240, 111,   2,
    240,  79,   3, 240,  79,   3, 240,  79,   3, 240,  63,   3,
    240, 187, 240, 201, 240, 216, 240, 217, 240, 216, 240, 216,
    240, 216, 240, 216, 240, 216, 134, 232, 104, 232, 105, 201,
    105, 200, 137, 169, 138, 138, 159,  11, 175,  10, 207,   9,
    223,   7, 255,   4, 240,  79,   1, 240, 124,   0,  69,  48,
    124,  39,   0,  31,  89, 240, 249, 240, 234, 240, 219, 240,
    219, 240, 204, 240, 204, 240, 189, 240, 174, 240, 174, 240,
    159, 240, 159, 240, 143,   1, 240, 120,  24, 240, 120,  24,
    240, 104,  40, 240, 103,  56, 240,  88,  56, 240,  72,  72,
    240,  72,  72, 240,  56,  88, 240,  41,  88, 240,  40, 104,
    240,  24, 120, 240,  24, 120, 248, 136, 233, 136, 232, 152,
    216, 168, 223,  15,   1, 127,  15,   2, 111,  15,   3, 111,
     15,   3, 111,  15,   3, 111,  15,   3, 111,  15,   3, 240,
    184, 240, 240,  24, 240, 240,  24, 240, 240,  24, 240, 240,
     24, 240, 240,  24, 240, 240,  24, 240, 240,  24, 240, 240,
     24,   0,  74,  64,  99,  35,   0,  26,  95,   8, 207,   8,
    207,   8, 207,   8, 207,   8, 207,   8, 207,   8, 184, 240,
    200, 240, 200, 240, 200, 240, 199, 240, 215, 240, 215, 240,
    215, 240, 215,  55, 240,  63,   5, 239,   8, 207,   9, 191,
     10, 175,  11, 159,  11, 154, 107, 136, 169, 135, 185, 148,
    233, 240, 185, 240, 200, 240, 200, 240, 200, 240, 200, 240,
    200, 179, 216, 104, 216, 104, 200, 121, 184, 121, 169, 138,
    121, 159,  11, 175,   9, 207,   8, 223,   6, 255,   3, 240,
     63,   1, 240, 108,   0,  67,  64, 103,  36,   0,  24,  57,
    240, 201, 240, 185, 240, 201, 240, 185, 240, 185, 240, 201,
    240, 185, 240, 201, 240, 185, 240, 200, 240, 201, 240, 200,
    240, 201, 240, 185, 240, 200, 240, 201, 240, 205, 240, 127,
      2, 240,  79,   4, 240,  31,   6, 255,   7, 223,   9, 191,
     11, 170, 106, 154, 138, 137, 169, 136, 200, 121, 201, 104,
    232, 104, 232, 104, 232, 104, 232, 104, 232, 104, 232, 105,
    201, 120, 200, 137, 169, 138, 138, 159,  11, 191,   9, 207,
      8, 239,   7, 240,  31,   3, 240,  79,   1, 240, 124,   0,
     69,  48,  97,  34,   0,  25,  79,  13, 111,  13, 111,  13,
    111,  13, 111,  12, 127,  12, 127,  12, 240, 168, 240, 184,
    240, 168, 240, 184, 240, 169, 240, 168, 240, 169, 240, 168,
    240, 184, 240, 168, 240, 184, 240, 169, 240, 168, 240, 184,
    240, 168, 240, 184, 240, 169, 240, 168, 240, 169, 240, 168,
    240, 184, 240, 168, 240, 184, 240, 169, 240, 168, 240, 184,
    240, 168, 240, 184, 240, 169, 240, 168, 240, 169, 240, 168,
    240, 184, 240, 168, 240, 184, 240, 169, 240, 168, 240, 184,
      0,  66,  80, 101,  36,   0,  28,  42, 240, 158, 240,  95,
      3, 240,  47,   5, 255,   7, 239,   7, 223,   9, 201, 105,
    185, 137, 168, 153, 168, 168, 168, 168, 168, 168, 168, 168,
    168, 168, 169, 137, 184, 136, 202,  74, 223,   7, 239,   6,
    240,  31,   5, 240,  31,   5, 255,   7, 223,   9, 191,  11,
    155, 107, 137, 169, 136, 200, 121, 201, 104, 232, 104, 232,
    104, 232, 104, 232, 104, 232, 104, 217, 105, 201, 121, 169,
    138, 138, 159,  11, 175,  11, 191,   9, 223,   7, 255,   5,
    240,  63,   1, 240, 124,   0,  69,  48, 101,  36,   0,  28,
     28, 240, 127,   1, 240,  79,   3, 240,  31,   6, 239,   8,
    223,   9, 191,  11, 154, 137, 153, 169, 136, 200, 121, 201,
    104, 232, 104, 232, 104, 232, 104, 232, 104, 232, 104, 232,
    105, 201, 120, 185, 137, 169, 139, 107, 159,  11, 191,   9,
    223,   8, 239,   6, 240,  31,   5, 240,  47,   3, 240, 111,
    240, 185, 240, 200, 240, 201, 240, 185, 240, 201, 240, 185,
    240, 201, 240, 185, 240, 201, 240, 185, 240, 185, 240, 201,
    240, 185, 240, 201, 240, 185, 240, 201, 240, 185,   0,  70,
     16,  33,  17,   0,  38, 113, 215, 153, 137, 123, 107, 107,
    107, 121, 137, 151, 209,   0,  23,  33, 215, 153, 137, 123,
    107, 107, 107, 121, 137, 151, 209,   0,  31,  16,  42,  21,
      0,  48,  49, 240,  39, 217, 201, 187, 171, 171, 171, 185,
    201, 215, 240,  33,   0,  33,  59, 171, 170, 170, 186, 185,
    201, 185, 201, 200, 216, 200, 216, 215, 231, 215, 231, 230,
    245,   0,  15,  16,  81,  32,   0,  59,  17, 240, 227, 240,
    197, 240, 167, 240, 137, 240, 107, 240,  77, 240,  47, 255,
      2, 223,   2, 223,   2, 223,   2, 239,   1, 239,   1, 240,
     30, 240,  60, 240,  90, 240, 122, 240, 124, 240,  94, 240,
     63,   1, 240,  47,   2, 240,  47,   2, 240,  47,   2, 240,
     47,   2, 240,  47,   2, 240,  47, 240,  77, 240, 107, 240,
    137, 240, 167, 240, 197, 240, 227, 240, 240,  17,   0,  72,
     96,  37,  34,   0,  89,  47,  13, 111,  13, 111,  13, 111,
     13, 111,  13, 111,  13, 111,  13,   0,  22,  15,  13, 111,
     13, 111,  13, 111,  13, 111,  13, 111,  13, 111,  13,   0,
    111,  32,  82,  32,   0,  56,   1, 240, 240,  19, 240, 229,
    240, 198, 240, 184, 240, 154, 240, 124, 240,  94, 240,  63,
      1, 240,  63,   1, 240,  63,   1, 240,  63,   1, 240,  63,
      1, 240,  63,   1, 240,  62, 240,  77, 240, 107, 240, 122,
    240,  92, 240,  62, 240,  31,   1, 239,   1, 239,   1, 239,
      1, 239,   1, 239,   1, 240,  30, 240,  60, 240,  91, 240,
    105, 240, 135, 240, 165, 240, 195, 240, 225,   0,  75, 112,
     92,  30,   0,  23,  59, 240,  47, 239,   2, 207,   4, 175,
      6, 143,   7, 143,   7, 120, 121, 103, 152, 103, 152, 162,
    168, 240, 120, 240, 105, 240,  74, 240,  60, 240,  29, 254,
    253, 240,  28, 240,  43, 240,  73, 240,  88, 240, 119, 240,
    135,  82, 240,  23,  84, 232,  55, 207,   3, 223,   1, 239,
    240,  29, 240,  59, 240, 118,   0,  14,  65, 240, 183, 240,
    121, 240,  91, 240,  75, 240,  75, 240,  75, 240,  75, 240,
     89, 240, 119, 240, 177,   0,  54,  96, 200,  58,   0,  46,
     28, 240, 240, 207,   5, 240, 240, 111,  10, 240, 240,  31,
     14, 240, 207,  15,   2, 240, 175,  15,   4, 240, 127,  15,
      8, 240,  79, 174, 240,  61, 240,  28, 240,  28, 240,  91,
    251, 240, 138, 218, 240, 185, 202, 240, 217, 185, 139,  38,
     41, 170, 110,  22,  57, 153, 111,   7,  72, 152, 111,   8,
     72, 137,  95,   9,  72, 136,  95,  10,  88, 120,  95,  10,
     88, 120,  74, 106,  88, 104,  89, 137,  88, 104,  88, 167,
    104, 104,  73, 167, 104, 104,  72, 183, 104, 104,  72, 183,
    104, 104,  72, 183, 104, 104,  72, 183, 104, 104,  72, 168,
     88, 120,  72, 153,  88, 120,  73, 137,  88, 121,  73,  92,
     56, 152,  79,  15,   7, 152,  95,  15,   5, 169,  79,  15,
      5, 169,  95,   1,  47, 201,  94,  77, 217, 108, 106, 240,
     25, 135, 166, 240,  58,   0,   6,  26,   0,   6,  11,   0,
      6,  12, 240, 130, 240, 125, 240,  69, 240, 127, 201, 240,
    143,  15,   6, 240, 143,  15,   5, 240, 175,  15,   3, 240,
    191,  15,   1, 240, 239,  12, 240, 240,  79,   6, 240, 240,
    188,   0,  61,  16, 136,  45,   0,  35, 104, 240, 240, 106,
    240, 240,  90, 240, 240,  90, 240, 240,  76, 240, 240,  60,
    240, 240,  60, 240, 240,  46, 240, 240,  30, 240, 255, 240,
    255,   1, 240, 239,   1, 240, 223,   2, 240, 216,  40, 240,
    200,  40, 240, 185,  40, 240, 184,  72, 240, 168,  72, 240,
    153,  73, 240, 136,  89, 240, 136, 104, 240, 121, 105, 240,
    105, 105, 240, 104, 136, 240,  89, 137, 240,  73, 137, 240,
     72, 168, 240,  63,  13, 240,  47,  13, 240,  47,  13, 240,
     31,  15, 255,  15, 255,  15, 239,  15,   2, 223,  15,   2,
    217, 233, 201, 240,  25, 185, 240,  25, 185, 240,  25, 169,
    240,  57, 153, 240,  57, 138, 240,  57, 137, 240,  89, 121,
    240,  89, 106, 240,  89,   0,  85,  16, 103,  38,   0,  28,
     79,   6, 240,  47,   9, 239,  11, 207,  12, 191,  13, 175,
     13, 175,  14, 152, 186, 152, 217, 136, 232, 136, 232, 136,
    232, 136, 232, 136, 232, 136, 232, 136, 216, 152, 186, 159,
     13, 175,  13, 175,  12, 191,  11, 207,  13, 175,  14, 159,
     15, 143,  15, 136, 203, 120, 233, 120, 249, 104, 249, 104,
    240,  24, 104, 240,  24, 104, 240,  24, 104, 240,  24, 104,
    240,  24, 104, 249, 104, 249, 104, 233, 120, 203, 127,  15,
    143,  15, 143,  14, 159,  13, 175,  12, 191,  10, 223,   7,
      0,  73,  32, 134,  46,   0,  36,  61, 240, 255,   4, 240,
    175,   8, 240, 127,  10, 240,  79,  13, 240,  47,  15, 255,
     15,   2, 220, 172, 202, 234, 186, 240,  26, 169, 240,  57,
    153, 240,  88, 152, 240, 105, 121, 240, 117, 168, 240, 129,
    232, 240, 240, 136, 240, 240, 120, 240, 240, 136, 240, 240,
    136, 240, 240, 136, 240, 240, 136, 240, 240, 136, 240, 240,
    136, 240, 240, 136, 240, 240, 136, 240, 240, 136, 240, 240,
    136, 240, 240, 152, 240, 240, 136, 240, 240, 136, 240, 129,
    233, 240, 117, 184, 240, 105, 137, 240,  88, 169, 240,  57,
    170, 240,  26, 186, 234, 204, 172, 223,  15,   2, 255,  15,
    240,  47,  13, 240,  95,  10, 240, 127,   8, 240, 175,   4,
    240, 238,   0,  88,  64, 124,  41,   0,  30, 111,   4, 240,
    127,   7, 240,  79,   9, 240,  47,  11, 255,  12, 239,  14,
    207,  15, 184, 142, 184, 188, 168, 219, 152, 234, 152, 250,
    136, 240,  25, 136, 240,  41, 120, 240,  41, 120, 240,  56,
    120, 240,  56, 120, 240,  57, 104, 240,  72, 104, 240,  72,
    104, 240,  72, 104, 240,  72, 104, 240,  72, 104, 240,  72,
    104, 240,  72, 104, 240,  72, 104, 240,  72, 104, 240,  57,
    104, 240,  56, 120, 240,  56, 120, 240,  41, 120, 240,  41,
    120, 240,  25, 136, 240,  25, 136, 234, 152, 219, 152, 188,
    168, 142, 191,  15, 191,  14, 207,  12, 239,  11, 255,   9,
    240,  47,   7, 240,  79,   4,   0,  79,  80,  97,  35,   0,
     26,  47,  13, 127,  13, 127,  13, 127,  13, 127,  13, 127,
     13, 127,  13, 120, 240, 200, 240, 200, 240, 200, 240, 200,
    240, 200, 240, 200, 240, 200, 240, 200, 240, 200, 240, 207,
     10, 175,  10, 175,  10, 175,  10, 175,  10, 175,  10, 175,
     10, 175,  10, 168, 240, 200, 240, 200, 240, 200, 240, 200,
    240, 200, 240, 200, 240, 200, 240, 200, 240, 200, 240, 200,
    240, 200, 240, 200, 240, 207,  14, 111,  14, 111,  14, 111,
     14, 111,  14, 111,  14, 111,  14,   0,  66,  48,  95,  35,
      0,  26,  47,  14, 111,  14, 111,  14, 111,  14, 111,  14,
    111,  14, 111,  14, 104, 240, 200, 240, 200, 240, 200, 240,
    200, 240, 200, 240, 200, 240, 200, 240, 200, 240, 200, 240,
    200, 240, 207,  10, 175,  10, 175,  10, 175,  10, 175,  10,
    175,  10, 175,  10, 168, 240, 200, 240, 200, 240, 200, 240,
    200, 240, 200, 240, 200, 240, 200, 240, 200, 240, 200, 240,
    200, 240, 200, 240, 200, 240, 200, 240, 200, 240, 200, 240,
    200, 240, 200, 240, 200, 240, 200,   0,  69, 137,  46,   0,
     36,  62, 240, 239,   4, 240, 175,   8, 240, 127,  10, 240,
     95,  12, 240,  47,  15, 255,  15,   2, 235, 172, 202, 235,
    170, 240,  26, 169, 240,  58, 137, 240,  89, 136, 240, 105,
    121, 240, 119, 136, 240, 132, 184, 240, 240, 136, 240, 240,
    120, 240, 240, 136, 240, 240, 136, 240, 240, 136, 240, 240,
    136, 240, 240, 136, 255,   2, 104, 255,   2, 104, 255,   2,
    104, 255,   2, 104, 255,   2, 104, 255,   2, 120, 239,   2,
    120, 240, 136, 120, 240, 121, 121, 240, 105, 136, 240, 105,
    137, 240,  74, 138, 240,  58, 154, 240,  27, 170, 236, 172,
    174, 191,  15,   5, 207,  15,   4, 223,  15,   3, 239,   8,
     24, 240,  31,   5,  40, 240,  63,   2,  71, 240,  93, 103,
      0,  87, 142,  41,   0,  30, 104, 240,  72, 104, 240,  72,
    104, 240,  72, 104, 240,  72, 104, 240,  72, 104, 240,  72,
    104, 240,  72, 104, 240,  72, 104, 240,  72, 104, 240,  72,
    104, 240,  72, 104, 240,  72, 104, 240,  72, 104, 240,  72,
    104, 240,  72, 104, 240,  72, 104, 240,  72, 111,  15,   5,
    111,  15,   5, 111,  15,   5, 111,  15,   5, 111,  15,   5,
    111,  15,   5, 111,  15,   5, 111,  15,   5, 104, 240,  72,
    104, 240,  72, 104, 240,  72, 104, 240,  72, 104, 240,  72,
    104, 240,  72, 104, 240,  72, 104, 240,  72, 104, 240,  72,
    104, 240,  72, 104, 240,  72, 104, 240,  72, 104, 240,  72,
    104, 240,  72, 104, 240,  72, 104, 240,  72, 104, 240,  72,
    104, 240,  72, 104, 240,  72, 104, 240,  72,   0,  77,  80,
     51,  14,   0,  10,  72, 104, 104, 104, 104, 104, 104, 104,
    104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104,
    104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104,
    104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104,
    104,   0,  27,  97,  34,   0,  28,   8, 240, 184, 240, 184,
    240, 184, 240, 184, 240, 184, 240, 184, 240, 184, 240, 184,
    240, 184, 240, 184, 240, 184, 240, 184, 240, 184, 240, 184,
    240, 184, 240, 184, 240, 184, 240, 184, 240, 184, 240, 184,
    240, 184, 240, 184, 240, 184, 240, 184, 240, 184, 240, 184,
    240, 184, 240, 184, 240, 184, 240, 184, 240, 184, 240, 184,
    179, 200, 105, 184, 105, 168, 122, 152, 138, 121, 143,  10,
    175,   9, 175,   8, 207,   7, 223,   5, 240,  31,   1, 240,
     92,   0,  65,  64, 122,  41,   0,  30, 104, 250, 136, 235,
    136, 219, 152, 203, 168, 187, 184, 171, 200, 155, 216, 154,
    232, 138, 248, 122, 240,  24, 106, 240,  40,  90, 240,  56,
     74, 240,  72,  59, 240,  72,  43, 240,  88,  27, 240, 111,
      4, 240, 127,   3, 240, 143,   2, 240, 159,   1, 240, 175,
      1, 240, 175,   2, 240, 159,   2, 240, 159,   3, 240, 136,
     26, 240, 120,  42, 240, 104,  43, 240,  88,  58, 240,  88,
     74, 240,  72,  90, 240,  56,  91, 240,  40, 106, 240,  40,
    122, 240,  24, 138, 248, 139, 232, 155, 216, 170, 216, 186,
    200, 187, 184, 203, 168, 219, 152, 234, 152, 250, 136, 251,
    120, 240,  27,   0,  77,  80,  97,  34,   0,  25,  72, 240,
    184, 240, 184, 240, 184, 240, 184, 240, 184, 240, 184, 240,
    184, 240, 184, 240, 184, 240, 184, 240, 184, 240, 184, 240,
    184, 240, 184, 240, 184, 240, 184, 240, 184, 240, 184, 240,
    184, 240, 184, 240, 184, 240, 184, 240, 184, 240, 184, 240,
    184, 240, 184, 240, 184, 240, 184, 240, 184, 240, 184, 240,
    184, 240, 184, 240, 184, 240, 184, 240, 184, 240, 184, 240,
    184, 240, 191,  13, 111,  13, 111,  13, 111,  13, 111,  13,
    111,  13, 111,  13,   0,  64,  64, 146,  46,   0,  34,  73,
    240, 121, 106, 240,  90, 106, 240,  90, 106, 240,  90, 107,
    240,  59, 107, 240,  59, 108, 240,  28, 108, 240,  28, 108,
    240,  28, 109, 237, 109, 237, 110, 206, 110, 206, 110, 206,
    111, 175, 111, 175, 111, 159,   1, 111,   1, 143,   1, 111,
      1, 143,   1, 104,  24, 104,  24, 104,  24, 104,  24, 104,
     39, 103,  40, 104,  40,  72,  40, 104,  40,  72,  40, 104,
     56,  40,  56, 104,  56,  40,  56, 104,  56,  40,  56, 104,
     79,   1,  72, 104,  79,   1,  72, 104,  94,  88, 104,  94,
     88, 104,  94,  88, 104, 108, 104, 104, 108, 104, 104, 108,
    104, 104, 122, 120, 104, 122, 120, 104, 136, 136, 104, 136,
    136, 104, 136, 136, 104, 150, 152, 104, 240, 152, 104, 240,
    152, 104, 240, 152, 104, 240, 152,   0,  87, 124,  40,   0,
     30,   9, 240,  40, 105, 240,  40, 106, 240,  24, 107, 248,
    107, 248, 108, 232, 108, 232, 109, 216, 109, 216, 110, 200,
    111, 184, 111, 184, 111,   1, 168, 111,   1, 168, 111,   2,
    152, 111,   3, 136, 104,  25, 136, 104,  26, 120, 104,  41,
    120, 104,  42, 104, 104,  58,  88, 104,  73,  88, 104,  74,
     72, 104,  89,  72, 104,  90,  56, 104, 106,  40, 104, 121,
     40, 104, 122,  24, 104, 137,  24, 104, 143,   3, 104, 159,
      2, 104, 175,   1, 104, 175,   1, 104, 191, 104, 191, 104,
    206, 104, 221, 104, 221, 104, 236, 104, 236, 104, 251, 104,
    251, 104, 240,  26, 104, 240,  41, 104, 240,  41,   0,  75,
     96, 146,  49,   0,  33,  33, 240, 240, 206, 240, 240,  47,
      4, 240, 223,   8, 240, 159,  12, 240, 111,  14, 240,  79,
     15,   1, 240,  47,  15,   3, 252, 188, 234, 250, 218, 240,
     42, 201, 240,  73, 185, 240, 105, 168, 240, 136, 153, 240,
    137, 136, 240, 168, 136, 240, 168, 136, 240, 168, 120, 240,
    200, 104, 240, 200, 104, 240, 200, 104, 240, 200, 104, 240,
    200, 104, 240, 200, 104, 240, 200, 104, 240, 200, 104, 240,
    200, 104, 240, 200, 104, 240, 200, 120, 240, 168, 136, 240,
    168, 136, 240, 168, 137, 240, 137, 152, 240, 136, 169, 240,
    105, 185, 240,  73, 202, 240,  42, 218, 250, 236, 188, 255,
     15,   3, 240,  47,  15,   1, 240,  79,  14, 240, 111,  12,
    240, 159,   8, 240, 223,   4, 240, 240,  47, 240, 240, 177,
      0,  89,  16,  97,  37,   0,  27, 111,   6, 240,  31,   9,
    223,  11, 191,  12, 175,  13, 159,  14, 143,  14, 136, 202,
    120, 217, 120, 233, 104, 248, 104, 248, 104, 248, 104, 248,
    104, 248, 104, 248, 104, 233, 104, 218, 104, 202, 127,  15,
    127,  14, 143,  14, 143,  13, 159,  12, 175,  11, 191,   9,
    223,   6, 240,  24, 240, 232, 240, 232, 240, 232, 240, 232,
    240, 232, 240, 232, 240, 232, 240, 232, 240, 232, 240, 232,
    240, 232, 240, 232, 240, 232, 240, 232, 240, 232, 240, 232,
    240, 232,   0,  73, 146,  50,   0,  33, 113, 240, 240, 206,
    240, 240,  79,   4, 240, 239,   8, 240, 175,  12, 240, 127,
     14, 240,  95,  15,   1, 240,  63,  15,   3, 240,  28, 187,
    240,  26, 250, 234, 240,  42, 217, 240,  73, 201, 240, 105,
    184, 240, 136, 169, 240, 137, 152, 240, 168, 152, 240, 168,
    152, 240, 168, 136, 240, 200, 120, 240, 200, 120, 240, 200,
    120, 240, 200, 120, 240, 200, 120, 240, 200, 120, 240, 200,
    120, 240,  81, 104, 120, 240,  67,  88, 120, 240,  53,  72,
    120, 240,  39,  41, 136, 249,  25, 136, 239,   4, 152, 239,
      4, 153, 239,   3, 168, 255,   2, 169, 255, 201, 254, 202,
    252, 234, 252, 220, 191, 223,  15,   8, 223,  15,   8, 223,
     15,   7, 239,  15,   5, 240,  47,   9,  38, 240,  95,   5,
     84, 240, 143, 146,   0,  95, 107,  40,   0,  30,  15,   6,
    240,  79,   9, 240,  31,  10, 255,  12, 223,  12, 223,  13,
    207,  14, 184, 186, 184, 216, 184, 217, 168, 232, 168, 232,
    168, 232, 168, 232, 168, 232, 168, 217, 168, 217, 168, 186,
    191,  14, 191,  13, 207,  13, 207,  12, 223,  11, 239,   9,
    240,  31,   7, 240,  56,  90, 240,  40,  90, 240,  40, 106,
    240,  24, 121, 240,  24, 122, 248, 138, 232, 153, 232, 154,
    216, 169, 216, 170, 200, 185, 200, 201, 184, 202, 168, 217,
    168, 233, 152, 233, 152, 249, 136, 250, 120, 240,  25, 120,
    240,  41,   0,  75,  96, 106,  36,   0,  28,  43, 240, 143,
    240,  95,   3, 240,  47,   5, 255,   7, 239,   7, 223,   9,
    200, 105, 201, 134, 216, 164, 232, 162, 240,  24, 240, 216,
    240, 217, 240, 202, 240, 187, 240, 188, 240, 158, 240, 143,
    240, 111,   2, 240,  95,   2, 240,  95,   3, 240,  79,   3,
    240,  95,   2, 240, 111,   1, 240, 127, 240, 141, 240, 171,
    240, 187, 193, 233, 179, 217, 149, 232, 134, 232, 105, 216,
    120, 216, 121, 185, 122, 168, 154, 137, 159,  11, 191,  10,
    207,   8, 239,   6, 240,  31,   4, 240,  79,   1, 240, 124,
      0,  69,  32, 141,  40,   0,  30,  15,  15,   4, 111,  15,
      4, 111,  15,   4, 111,  15,   4, 111,  15,   4, 111,  15,
      4, 111,  15,   4, 240,  72, 240, 240,  40, 240, 240,  40,
    240, 240,  40, 240, 240,  40, 240, 240,  40, 240, 240,  40,
    240, 240,  40, 240, 240,  40, 240, 240,  40, 240, 240,  40,
    240, 240,  40, 240, 240,  40, 240, 240,  40, 240, 240,  40,
    240, 240,  40, 240, 240,  40, 240, 240,  40, 240, 240,  40,
    240, 240,  40, 240, 240,  40, 240, 240,  40, 240, 240,  40,
    240, 240,  40, 240, 240,  40, 240, 240,  40, 240, 240,  40,
    240, 240,  40, 240, 240,  40, 240, 240,  40, 240, 240,  40,
    240, 240,  40, 240, 240,  40, 240, 240,  40, 240, 240,  40,
    240, 240,  40, 240, 240,  40, 240, 240,  40,   0,  77,  48,
    133,  40,   0,  30,   8, 240,  56, 104, 240,  56, 104, 240,
     56, 104, 240,  56, 104, 240,  56, 104, 240,  56, 104, 240,
     56, 104, 240,  56, 104, 240,  56, 104, 240,  56, 104, 240,
     56, 104, 240,  56, 104, 240,  56, 104, 240,  56, 104, 240,
     56, 104, 240,  56, 104, 240,  56, 104, 240,  56, 104, 240,
     56, 104, 240,  56, 104, 240,  56, 104, 240,  56, 104, 240,
     56, 104, 240,  56, 104, 240,  56, 104, 240,  56, 104, 240,
     56, 104, 240,  56, 104, 240,  56, 104, 240,  56, 104, 240,
     56, 104, 240,  56, 104, 240,  56, 120, 240,  24, 136, 240,
     24, 137, 233, 153, 201, 170, 170, 191,  13, 207,  13, 223,
     11, 255,   9, 240,  47,   7, 240,  95,   3, 240, 158,   0,
     77, 132,  45,   0,  33, 106, 240,  89, 121, 240,  74, 121,
    240,  73, 137, 240,  73, 153, 240,  42, 153, 240,  41, 169,
    240,  41, 185, 240,  25, 185, 249, 201, 249, 217, 233, 217,
    217, 233, 217, 249, 201, 249, 185, 240,  25, 185, 240,  40,
    185, 240,  41, 153, 240,  57, 153, 240,  72, 153, 240,  73,
    136, 240,  89, 121, 240, 104, 121, 240, 105, 104, 240, 121,
     89, 240, 136,  89, 240, 137,  72, 240, 153,  57, 240, 168,
     57, 240, 168,  56, 240, 185,  25, 240, 200,  25, 240, 200,
     24, 240, 223,   2, 240, 239,   1, 240, 239, 240, 255, 240,
    240,  29, 240, 240,  45, 240, 240,  45, 240, 240,  59, 240,
    240,  75, 240, 240,  75, 240, 240,  89, 240, 240, 105,   0,
     87, 180,  64,   0,  48,   9, 240, 240, 169, 120, 240, 240,
    153, 137, 240, 240, 137, 137, 240, 240, 137, 137, 240, 240,
    136, 168, 248, 233, 169, 232, 233, 169, 217, 233, 169, 218,
    216, 200, 218, 201, 201, 202, 201, 201, 188, 185, 201, 188,
    184, 232, 188, 184, 232, 173, 169, 233, 158, 153, 248, 158,
    152, 240,  24, 143, 152, 240,  24, 143,   1, 121, 240,  25,
    127,   1, 121, 240,  40, 104,  39, 120, 240,  56, 104,  40,
    104, 240,  56, 104,  40,  89, 240,  57,  87,  56,  88, 240,
     88,  72,  71,  88, 240,  88,  72,  72,  72, 240,  88,  71,
     88,  72, 240,  88,  56, 103,  56, 240, 120,  40, 104,  40,
    240, 120,  39, 120,  40, 240, 120,  24, 135,  40, 240, 135,
     24, 143,   1, 240, 159,   1, 143,   1, 240, 159, 175, 240,
    159, 175, 240, 174, 174, 240, 189, 205, 240, 189, 205, 240,
    189, 204, 240, 219, 220, 240, 219, 235, 240, 219, 235, 240,
    218, 250, 240, 249, 240,  25, 240, 249, 240,  25,   0, 122,
     32, 126,  43,   0,  32,  73, 234, 170, 217, 201, 201, 233,
    185, 233, 169, 240,  25, 138, 240,  26, 121, 240,  57, 106,
    240,  73,  89, 240,  89,  73, 240, 121,  57, 240, 122,  25,
    240, 159,   4, 240, 159,   3, 240, 191,   1, 240, 223, 240,
    222, 240, 253, 240, 252, 240, 240,  43, 240, 240,  42, 240,
    240,  58, 240, 240,  59, 240, 240,  28, 240, 254, 240, 239,
    240, 207,   1, 240, 207,   2, 240, 175,   3, 240, 154,  25,
    240, 137,  42, 240, 106,  57, 240, 105,  74, 240,  74,  89,
    240,  73, 121, 240,  41, 137, 240,  26, 153, 249, 170, 218,
    185, 217, 202, 185, 233, 170, 249, 153, 240,  26, 122, 240,
     41, 121, 240,  58,   0,  81,  48, 127,  40,   0,  30,   9,
    240,  25, 121, 233, 137, 233, 153, 201, 169, 201, 184, 185,
    201, 169, 216, 168, 233, 137, 248, 136, 240,  25, 105, 240,
     40, 104, 240,  57,  73, 240,  72,  72, 240,  89,  41, 240,
    104,  40, 240, 127,   3, 240, 143,   1, 240, 159,   1, 240,
    174, 240, 190, 240, 204, 240, 220, 240, 234, 240, 250, 240,
    240,  24, 240, 240,  40, 240, 240,  40, 240, 240,  40, 240,
    240,  40, 240, 240,  40, 240, 240,  40, 240, 240,  40, 240,
    240,  40, 240, 240,  40, 240, 240,  40, 240, 240,  40, 240,
    240,  40, 240, 240,  40, 240, 240,  40, 240, 240,  40, 240,
    240,  40, 240, 240,  40, 240, 240,  40, 240, 240,  40,   0,
     77,  48, 103,  38,   0,  28,  95,  15, 143,  15, 143,  15,
    143,  15, 143,  14, 159,  14, 159,  13, 240, 218, 240, 217,
    240, 218, 240, 202, 240, 218, 240, 202, 240, 217, 240, 218,
    240, 217, 240, 218, 240, 217, 240, 218, 240, 202, 240, 217,
    240, 218, 240, 217, 240, 218, 240, 217, 240, 218, 240, 202,
    240, 218, 240, 202, 240, 217, 240, 218, 240, 217, 240, 218,
    240, 217, 240, 218, 240, 202, 240, 217, 240, 218, 240, 223,
     15, 127,  15,   1, 127,  15,   1, 111,  15,   2, 111,  15,
      2, 111,  15,   2, 111,  15,   2,   0,  72,  59,  21, 240,
    240, 207, 111, 111, 111, 111, 111, 111, 104, 216, 216, 216,
    216, 216, 216, 216, 216, 216, 216, 216, 216, 216, 216, 216,
    216, 216, 216, 216, 216, 216, 216, 216, 216, 216, 216, 216,
    216, 216, 216, 216, 216, 216, 216, 216, 216, 216, 223, 111,
    111, 111, 111, 111, 111,   0,  32,  32, 161,  42,   0,  10,
     72, 240, 240,  87, 240, 240,  88, 240, 240,  88, 240, 240,
     72, 240, 240,  88, 240, 240,  72, 240, 240,  88, 240, 240,
     72, 240, 240,  88, 240, 240,  87, 240, 240,  88, 240, 240,
     87, 240, 240,  88, 240, 240,  88, 240, 240,  72, 240, 240,
     88, 240, 240,  72, 240, 240,  88, 240, 240,  87, 240, 240,
     88, 240, 240,  87, 240, 240,  88, 240, 240,  88, 240, 240,
     72, 240, 240,  88, 240, 240,  72, 240, 240,  88, 240, 240,
     72, 240, 240,  88, 240, 240,  87, 240, 240,  88, 240, 240,
     88, 240, 240,  72, 240, 240,  88, 240, 240,  72, 240, 240,
     88, 240, 240,  72, 240, 240,  88, 240, 240,  87, 240, 240,
     88, 240, 240,  87, 240, 240,  88, 240, 240,  88, 240, 240,
     72, 240, 240,  88, 240, 240,  72, 240, 240,  88, 240, 240,
     72, 240, 240,  88, 240, 240,  87, 240, 240,  88,   0,  63,
     96,  59,  21, 240, 240, 207, 111, 111, 111, 111, 111, 111,
    216, 216, 216, 216, 216, 216, 216, 216, 216, 216, 216, 216,
    216, 216, 216, 216, 216, 216, 216, 216, 216, 216, 216, 216,
    216, 216, 216, 216, 216, 216, 216, 216, 216, 216, 216, 216,
    216, 216, 111, 111, 111, 111, 111, 111, 111,   0,  32,  32,
     51,  37,   0,  29,  39, 240, 233, 240, 203, 240, 187, 240,
    173, 240, 143, 240, 127, 240, 104,  24, 240,  72,  56, 240,
     56,  56, 240,  40,  88, 248, 120, 232, 120, 216, 152, 184,
    184, 168, 184, 152, 216, 120, 248, 103, 240,  24,   0, 127,
      0,  63,  48,  23,  36,   0, 127,   0, 102,  79,  15, 111,
     15, 111,  15, 111,  15, 111,  15, 111,  15, 111,  15,   0,
     36,  96,  18,  21,   0,  15, 107, 186, 202, 201, 217, 216,
    232, 231, 247,   0, 127,   0,   7,  80,  74,  33,   0,  79,
     60, 240,  79,   1, 240,  31,   3, 239,   5, 207,   7, 175,
      8, 175,   9, 136, 137, 135, 169, 194, 184, 240, 168, 240,
    168, 255,   3, 207,   6, 175,   8, 159,   9, 143,  10, 127,
     11, 127,  11, 106, 152, 105, 168, 104, 184, 104, 169, 104,
    154, 105, 123, 111,  12, 127,  11, 127,  11, 143,   2,  23,
    143,   1,  39, 158,  55, 186,  87,   0,  62,  80,  97,  37,
      0,  27, 105, 240, 217, 240, 217, 240, 217, 240, 217, 240,
    217, 240, 217, 240, 217, 240, 217, 240, 217, 240, 217, 240,
    217, 240, 217, 240, 217,  58, 249,  30, 223,  11, 191,  12,
    175,  13, 159,  13, 159,  14, 140, 122, 139, 154, 122, 185,
    121, 216, 121, 217, 104, 248, 104, 248, 104, 248, 104, 248,
    104, 248, 104, 248, 104, 248, 104, 248, 105, 217, 105, 216,
    122, 185, 122, 170, 124, 122, 143,  14, 143,  13, 159,  13,
    159,  12, 175,  11, 185,  30, 217,  58,   0,  71,  32,  73,
     36,   0,  86, 108, 240, 111,   2, 240,  63,   5, 255,   7,
    223,   9, 191,  11, 159,  12, 154, 138, 121, 185, 121, 199,
    136, 227, 169, 225, 200, 240, 216, 240, 216, 240, 216, 240,
    216, 240, 216, 240, 216, 240, 216, 240, 217, 225, 216, 227,
    185, 199, 137, 185, 138, 138, 143,  12, 175,  11, 191,   9,
    223,   7, 255,   5, 240,  47,   2, 240, 109,   0,  69,  32,
     96,  37,   0,  30,  73, 240, 217, 240, 217, 240, 217, 240,
    217, 240, 217, 240, 217, 240, 217, 240, 217, 240, 217, 240,
    217, 240, 217, 240, 217, 250,  57, 222,  25, 191,  11, 175,
     12, 159,  13, 159,  13, 143,  14, 138, 124, 122, 155, 121,
    186, 120, 217, 105, 217, 104, 248, 104, 248, 104, 248, 104,
    248, 104, 248, 104, 248, 104, 248, 104, 248, 105, 217, 120,
    217, 121, 186, 122, 170, 138, 124, 143,  14, 159,  13, 159,
     13, 175,  12, 191,  11, 222,  25, 250,  57,   0,  70,  16,
     82,  37,   0,  89,  27, 240, 159,   1, 240,  79,   4, 240,
     47,   6, 255,   8, 223,  10, 207,  10, 186, 137, 154, 169,
    137, 200, 136, 216, 121, 232, 111,  15,   1, 111,  15,   1,
    111,  15,   1, 111,  15,   1, 111,  15,   1, 111,  15,   1,
    111,  15,   1, 105, 240, 232, 240, 232, 241, 217, 214, 153,
    200, 154, 138, 175,  11, 191,  11, 207,   9, 239,   7, 240,
     31,   5, 240,  79,   1, 240, 140,   0,  71,  32,  88,  27,
      0,  21,  75, 237, 222, 207, 191, 207, 207, 185, 240,  56,
    240,  72, 240,  72, 240,  72, 240,  72, 255,   4, 143,   4,
    143,   4, 143,   4, 143,   4, 143,   4, 143,   4, 200, 240,
     72, 240,  72, 240,  72, 240,  72, 240,  72, 240,  72, 240,
     72, 240,  72, 240,  72, 240,  72, 240,  72, 240,  72, 240,
     72, 240,  72, 240,  72, 240,  72, 240,  72, 240,  72, 240,
     72, 240,  72, 240,  72, 240,  72, 240,  72, 240,  72,   0,
     52,  64, 104,  36,   0,  79,  98, 240, 240,  36, 240,  43,
     39, 239,   7, 223,   9, 175,  11, 175,   9, 191,   8, 223,
      8, 201, 120, 200, 152, 184, 152, 184, 152, 184, 152, 185,
    121, 201,  90, 207,   8, 239,   7, 255,   5, 255,   5, 255,
      5, 255,   4, 240,  40,  24, 240,  56, 240, 216, 240, 216,
    240, 217, 240, 207,   7, 239,   9, 207,  11, 191,  11, 159,
     13, 143,  13, 127,  15, 104, 202, 104, 232, 104, 232, 104,
    232, 105, 216, 106, 170, 127,  13, 143,  13, 159,  11, 191,
      9, 223,   7, 255,   4, 240,  94,   0,  10,  96, 100,  35,
      0,  26,  40, 240, 200, 240, 200, 240, 200, 240, 200, 240,
    200, 240, 200, 240, 200, 240, 200, 240, 200, 240, 200, 240,
    200, 240, 200, 240, 200,  91, 184,  78, 152,  47,   2, 136,
     31,   4, 120,  31,   4, 127,  13, 127,  14, 109, 106, 107,
    153, 106, 184, 106, 184, 105, 200, 105, 200, 105, 200, 104,
    216, 104, 216, 104, 216, 104, 216, 104, 216, 104, 216, 104,
    216, 104, 216, 104, 216, 104, 216, 104, 216, 104, 216, 104,
    216, 104, 216, 104, 216, 104, 216, 104, 216, 104, 216,   0,
     66,  48,  51,  16,   0,   8,  52, 168, 136, 122, 106, 106,
    106, 120, 136, 164,   0,  11,  40, 136, 136, 136, 136, 136,
    136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136,
    136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136, 136,
    136, 136,   0,  30, 112,  68,  22,   0,  14, 116, 240,  24,
    232, 218, 202, 202, 202, 216, 232, 240,  20,   0,  13,   8,
    232, 232, 232, 232, 232, 232, 232, 232, 232, 232, 232, 232,
    232, 232, 232, 232, 232, 232, 232, 232, 232, 232, 232, 232,
    232, 232, 232, 232, 232, 232, 232, 232, 217, 216, 232, 217,
    186, 172, 156, 172, 171, 186, 215, 245, 240,  35, 240, 240,
    160, 107,  35,   0,  26,  40, 240, 200, 240, 200, 240, 200,
    240, 200, 240, 200, 240, 200, 240, 200, 240, 200, 240, 200,
    240, 200, 240, 200, 240, 200, 240, 200, 170, 120, 154, 136,
    153, 152, 137, 168, 122, 168, 106, 184,  90, 200,  74, 216,
     58, 232,  57, 248,  41, 240,  24,  25, 240,  47,   2, 240,
     63,   2, 240,  63,   1, 240,  79,   1, 240,  79,   2, 240,
     63,   3, 240,  40,  25, 240,  40,  41, 240,  24,  57, 248,
     73, 232,  74, 216,  90, 200, 105, 200, 121, 184, 122, 168,
    138, 152, 154, 136, 169, 136, 170, 120, 186,   0,  66,  48,
     51,  14,   0,  10,  72, 104, 104, 104, 104, 104, 104, 104,
    104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104,
    104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104,
    104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104,
    104,   0,  27, 109,  52,   0, 123,  72,  89, 169, 184,  60,
    125, 152,  46,  95, 136,  31,   1,  63,   1, 136,  31,   2,
     47,   2, 127,  11,  31,   3, 127,  15,  15,   1, 108, 109,
    105, 107, 139, 136, 106, 154, 152, 106, 154, 152, 105, 169,
    168, 105, 169, 168, 105, 169, 168, 104, 184, 184, 104, 184,
    184, 104, 184, 184, 104, 184, 184, 104, 184, 184, 104, 184,
    184, 104, 184, 184, 104, 184, 184, 104, 184, 184, 104, 184,
    184, 104, 184, 184, 104, 184, 184, 104, 184, 184, 104, 184,
    184, 104, 184, 184, 104, 184, 184, 104, 184, 184, 104, 184,
    184,   0,  98,  32,  74,  34,   0,  80, 104,  90, 184,  77,
    152,  47,   1, 136,  31,   3, 120,  31,   3, 127,  12, 127,
     13, 108, 106, 107, 137, 106, 168, 106, 168, 105, 184, 105,
    184, 105, 184, 104, 200, 104, 200, 104, 200, 104, 200, 104,
    200, 104, 200, 104, 200, 104, 200, 104, 200, 104, 200, 104,
    200, 104, 200, 104, 200, 104, 200, 104, 200, 104, 200, 104,
    200, 104, 200,   0,  64,  64,  81,  39,   0,  93, 125, 240,
    159,   2, 240,  95,   6, 240,  47,   8, 255,  10, 223,  12,
    207,  12, 186, 154, 154, 185, 153, 217, 136, 248, 121, 248,
    121, 249, 104, 240,  40, 104, 240,  40, 104, 240,  40, 104,
    240,  40, 104, 240,  40, 104, 240,  40, 105, 249, 105, 249,
    120, 248, 137, 217, 138, 185, 170, 154, 191,  12, 207,  12,
    223,  10, 255,   8, 240,  47,   6, 240,  95,   2, 240, 157,
      0,  75,  16,  96,  37,   0,  87, 121,  58, 249,  30, 223,
     11, 191,  12, 175,  13, 159,  13, 159,  14, 140, 122, 139,
    154, 122, 185, 121, 216, 121, 217, 104, 248, 104, 248, 104,
    248, 104, 248, 104, 248, 104, 248, 104, 248, 104, 248, 105,
    217, 105, 216, 122, 185, 122, 170, 124, 122, 143,  14, 143,
     13, 159,  13, 159,  12, 175,  11, 185,  30, 217,  58, 249,
    240, 217, 240, 217, 240, 217, 240, 217, 240, 217, 240, 217,
    240, 217, 240, 217, 240, 217, 240, 217, 240, 217, 240, 217,
      0,  12,  96,  96,  37,   0,  89,  10,  57, 222,  25, 191,
     11, 175,  12, 159,  13, 159,  13, 143,  14, 138, 124, 122,
    155, 121, 186, 120, 217, 105, 217, 104, 248, 104, 248, 104,
    248, 104, 248, 104, 248, 104, 248, 104, 248, 104, 248, 105,
    217, 120, 217, 121, 186, 122, 170, 138, 124, 143,  14, 159,
     13, 159,  13, 175,  12, 191,  11, 222,  25, 250,  57, 240,
    217, 240, 217, 240, 217, 240, 217, 240, 217, 240, 217, 240,
    217, 240, 217, 240, 217, 240, 217, 240, 217, 240, 217, 240,
    217,   0,  10,  68,  28,   0,  66,  72,  89, 104,  58, 120,
     43, 120,  28, 127,   6, 127,   6, 127,   5, 141, 252, 240,
     27, 240,  42, 240,  58, 240,  57, 240,  73, 240,  73, 240,
     72, 240,  88, 240,  88, 240,  88, 240,  88, 240,  88, 240,
     88, 240,  88, 240,  88, 240,  88, 240,  88, 240,  88, 240,
     88, 240,  88, 240,  88, 240,  88, 240,  88,   0,  55,  71,
     31,   0,  74,  90, 240,  78, 240,  31,   1, 239,   3, 207,
      5, 191,   5, 175,   4, 201,  84, 216, 114, 232, 240, 136,
    240, 138, 240, 123, 240,  94, 240,  63, 240,  47,   1, 240,
     47,   1, 240,  47, 240,  76, 240, 122, 193, 153, 163, 168,
    134, 152, 104, 152, 105, 121, 127,   8, 143,   8, 159,   6,
    191,   5, 207,   3, 254, 240,  74,   0,  59,  96,  90,  28,
      0,  22,  65, 240, 163, 240, 148, 240, 118, 240, 103, 240,
     88, 240,  88, 240,  88, 240,  88, 240,  88, 240,  88, 240,
     88, 240,  88, 255,   7, 111,   7, 111,   7, 111,   7, 111,
      7, 111,   7, 111,   7, 184, 240,  88, 240,  88, 240,  88,
    240,  88, 240,  88, 240,  88, 240,  88, 240,  88, 240,  88,
    240,  88, 240,  88, 240,  88, 240,  88, 240,  88, 240,  88,
    240,  89, 240,  73, 240,  95, 223, 238, 239, 238, 253, 240,
     43,   0,  53,  32,  74,  34,   0,  80, 104, 200, 104, 200,
    104, 200, 104, 200, 104, 200, 104, 200, 104, 200, 104, 200,
    104, 200, 104, 200, 104, 200, 104, 200, 104, 200, 104, 200,
    104, 200, 104, 200, 104, 200, 104, 200, 104, 185, 104, 185,
    104, 185, 104, 170, 104, 170, 105, 139, 105, 124, 111,  13,
    127,  12, 127,   3,  24, 127,   3,  24, 143,   1,  40, 157,
     72, 186,  88,   0,  64,  64,  78,  36,   0,  85,  73, 216,
    120, 200, 136, 200, 151, 200, 152, 168, 168, 168, 183, 168,
    184, 136, 200, 136, 215, 136, 216, 119, 232, 104, 247, 104,
    247, 103, 240,  24,  72, 240,  39,  71, 240,  55,  71, 240,
     56,  40, 240,  71,  39, 240,  87,  39, 240,  88,  23, 240,
    110, 240, 126, 240, 126, 240, 140, 240, 156, 240, 171, 240,
    170, 240, 186, 240, 201, 240, 200, 240, 216,   0,  69,  80,
    118,  52,   0, 123,  72, 184, 184, 104, 184, 184, 104, 169,
    168, 136, 154, 152, 136, 154, 152, 136, 154, 151, 167, 139,
    136, 168, 124, 120, 168, 124, 119, 199, 124, 104, 200,  93,
    104, 200,  94,  87, 231,  94,  87, 231,  86,  23,  72, 232,
     55,  38,  71, 240,  23,  55,  39,  55, 240,  23,  54,  55,
     55, 240,  23,  54,  70,  39, 240,  55,  23,  70,  39, 240,
     55,  23,  71,  23, 240,  55,  22,  87,  22, 240,  86,  22,
    109, 240,  93, 109, 240,  93, 109, 240, 107, 139, 240, 123,
    139, 240, 123, 139, 240, 137, 154, 240, 153, 169, 240, 153,
    169, 240, 168, 168, 240, 183, 184,   0,  99,  64,  79,  36,
      0,  85,  89, 168, 168, 153, 169, 121, 201, 104, 232,  89,
    233,  57, 240,  25,  40, 240,  56,  25, 240,  63,   2, 240,
     95, 240, 126, 240, 125, 240, 156, 240, 155, 240, 185, 240,
    201, 240, 187, 240, 172, 240, 141, 240, 127, 240, 111,   1,
    240,  79,   2, 240,  72,  25, 240,  40,  56, 240,  25,  72,
    248,  89, 217, 104, 201, 121, 184, 153, 153, 168, 137, 185,
    120, 217,   0,  68,  32, 104,  37,   0,  87, 121, 232, 120,
    232, 120, 216, 152, 200, 152, 184, 168, 184, 184, 168, 184,
    152, 216, 136, 216, 136, 216, 120, 248, 104, 248, 103, 240,
     39,  88, 240,  40,  72, 240,  40,  71, 240,  72,  40, 240,
     72,  40, 240,  87,  24, 240, 111,   1, 240, 111, 240, 142,
    240, 142, 240, 156, 240, 172, 240, 172, 240, 186, 240, 202,
    240, 216, 240, 232, 240, 232, 240, 231, 240, 232, 240, 232,
    240, 216, 240, 232, 240, 231, 240, 232, 240, 232, 240, 216,
    240, 232, 240, 232, 240, 216, 240, 232, 240, 231,   0,  12,
     16,  72,  31,   0,  73, 111,   8, 143,   8, 143,   8, 143,
      8, 143,   7, 159,   7, 159,   6, 240, 135, 240, 136, 240,
    120, 240, 135, 240, 136, 240, 120, 240, 135, 240, 136, 240,
    135, 240, 135, 240, 136, 240, 135, 240, 136, 240, 120, 240,
    135, 240, 136, 240, 120, 240, 135, 240, 143,   8, 127,   9,
    127,   9, 111,  10, 111,  10, 111,  10, 111,  10,   0,  58,
    112,  59,  23,   0,   6, 120, 218, 203, 203, 188, 188, 188,
    185, 232, 248, 248, 248, 248, 248, 248, 248, 248, 248, 248,
    248, 248, 233, 218, 173, 172, 187, 200, 251, 204, 189, 218,
    233, 248, 248, 248, 248, 248, 248, 248, 248, 248, 248, 248,
    248, 249, 236, 188, 188, 203, 203, 218, 248,   0,  35,  32,
     58,  14, 240, 240, 200, 104, 104, 104, 104, 104, 104, 104,
    104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104,
    104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104,
    104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104, 104,
    104, 104, 104, 104, 104, 104, 104,   0,  21,  96,  85,  24,
      0,   6,   9, 251, 220, 204, 205, 189, 189, 249, 240,  24,
    240,  24, 240,  24, 240,  24, 240,  24, 240,  24, 240,  24,
    240,  24, 240,  24, 240,  24, 240,  24, 240,  24, 240,  24,
    240,  25, 250, 237, 204, 219, 240,  24, 219, 204, 189, 186,
    233, 248, 240,  24, 240,  24, 240,  24, 240,  24, 240,  24,
    240,  24, 240,  24, 240,  24, 240,  24, 240,  24, 240,  24,
    249, 189, 189, 189, 188, 204, 203, 217,   0,  37, 112,  41,
     39,   0, 113,   6, 240, 240,  26, 209, 222, 163, 191,   3,
     86, 159,  15,   1, 143,  15,   2, 111,  15,   2, 127,  15,
      1, 150,  95,   3, 180, 158, 210, 203, 240, 240,  22,   0,
    127,   0,  25,  96,
};

//*****************************************************************************
//
// The font definition for the 65 point Apercu bold font.
//
//*****************************************************************************
const tFont g_sFontApercu65b =
{
    //
    // The format of the font.
    //
    FONT_FMT_PIXEL_RLE,

    //
    // The maximum width of the font.
    //
    57,

    //
    // The height of the font.
    //
    66,

    //
    // The baseline of the font.
    //
    51,

    //
    // The offset to each character in the font.
    //
    {
           0,    7,   56,   97,  238,  362,  535,  665,
         688,  746,  804,  861,  935,  960,  981, 1000,
        1161, 1285, 1347, 1445, 1548, 1672, 1771, 1874,
        1971, 2072, 2173, 2206, 2248, 2329, 2366, 2448,
        2540, 2740, 2876, 2979, 3113, 3237, 3334, 3429,
        3566, 3708, 3759, 3856, 3978, 4075, 4221, 4345,
        4491, 4588, 4734, 4841, 4947, 5088, 5221, 5353,
        5533, 5659, 5786, 5889, 5948, 6109, 6168, 6219,
        6242, 6260, 6334, 6431, 6504, 6600, 6682, 6770,
        6874, 6974, 7025, 7093, 7200, 7251, 7360, 7434,
        7515, 7611, 7707, 7775, 7846, 7936, 8010, 8088,
        8206, 8285, 8389, 8461, 8520, 8578, 8663,
    },

    //
    // A pointer to the actual font data
    //
    g_pucApercu65bData
};
